package com.zhongzheng.modules.user.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zhongzheng.modules.course.bo.CourseQueryBo;
import com.zhongzheng.modules.course.vo.CourseVo;
import com.zhongzheng.modules.user.bo.UserExamRecordQueryBo;
import com.zhongzheng.modules.user.domain.UserExamRecord;
import com.zhongzheng.modules.user.vo.UserExamRecordVo;

import java.util.List;

/**
 * 用户的题库试卷做题历史Mapper接口
 *
 * @author hjl
 * @date 2021-12-15
 */
public interface UserExamRecordMapper extends BaseMapper<UserExamRecord> {
    List<UserExamRecordVo> selectList(UserExamRecordQueryBo bo);
    Long selectDoNum(UserExamRecordQueryBo bo);
    Long selectRightNum(UserExamRecordQueryBo bo);
    UserExamRecordVo selectDetail(UserExamRecordQueryBo bo);
}
